<?php
# {{ ansible_managed }}

$servername = "localhost";
$username = "{{ mysql_app_user }}";
$password = "{{ mysql_app_password }}";
$dbName = "{{ mysql_app_dbname }}";

// Create connection
$conn = new mysqli($servername, $username, $password);

// Check connection
if ($conn->connect_error) {
    die("MySQL Connection failed: " . $conn->connect_error);
}
echo "Mysql Connected successfully<br/>\n<br/>\n";

if( !$conn->select_db($dbName) ){
    die("Selecting DB failed: " . $dbName);
}

$sql = <<<SQL
    SELECT *
    FROM `user_details`
SQL;

if(!$result = $conn->query($sql)){
    die('There was an error running the query [' . $conn->error . ']');
}

var_dump( $result );

echo '<br /><br />';

while($row = $result->fetch_assoc()){
    echo $row['username'] . '<br />';
}